Process Start API
This API creates and initializes a unique instance of a Digital Identity Management Process. Also known as the “Process Start” API, this is the standard method of Process initiation from a client web application.Example API URLs
**POST** https://{your.tenant.url}/**process/start**/recovery.PasswordRecovery.v1.0**POST** https://{your.tenant.url}/**process/start**/userManagement.UpdatePassword.v1.0**POST** https://{your.tenant.url}/**process/start**/socialFederation.AssociateSocialMedia.v1.0
Request Parameters
For most Processes, the initial API request optionally accepts no payload. Instead, it derives its action from the name provided in the URL. The first response from most Processes is a specification of the information that the Process needs to proceed. However, certain Digital Identity Management Processes support use cases where the UI provides the required parameters upfront in the initial API request URL:POST https://{url}/process/start/{processName}.v1.0?{paramName}={paramValue}&{paramName}={paramValue}
For example, when a client invokes the Onboard and Authenticate User with Social Process, the Process first responds with a request for the user’s chosen social provider, or providerID, and the response includes a list of available provider IDs. To skip this step, the application can invoke the Process with that providerId in the Process Start request URL:
POST /process/start/socialFederation.SocialMediaAssistedOnboarding.v1.0**?providerId=facebook**POST /process/start/socialFederation.SocialMediaAssistedOnboarding.v1.0**?providerId=google**
POST process/start/ URL.
Response Parameters
The Process Start API may return some or most of the following key properties:Errors
See Common Process Error Codes for more information. Error Cases under each Process also contain process-specific examples of errors.Applicable Processes
The Process Start API is used to invoke the following Processes:
Parent topic:Process APIs

